#
# Copyright (c) 2021 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

version: 1.0

model:                                               # mandatory.
  name: bert_prune
  framework: pytorch                                 # mandatory. possible values are pytorch and pytorch_fx.

device: cpu

quantization:                                        # optional.
  approach: post_training_dynamic_quant

tuning:
  accuracy_criterion:
    relative:  0.03                                  # optional. default value is relative, other value is absolute. this example allows relative accuracy loss: 3%.
  exit_policy:
    timeout: 0                                       # optional. tuning timeout (seconds). default value is 0 which means early stop. combine with max_trials field to decide when to exit.
    max_trials: 30
  random_seed: 9527                                  # optional. random seed for deterministic tuning.
